﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Drawing;

namespace ManSys6
{
    public class clsComboBoxItem
    {

        private string msDisplay = "";
        private string msID = "";
        private string msTextColor = "Black";
        private string msBackColor = "White";
        private bool mbBold = false;
        private bool mbInactive = false;

        public clsComboBoxItem(string sID, string sText, string ForeColor, string BackColor, bool Bold)
        {
            msID = sID;
            msDisplay = sText;
            msTextColor = ForeColor;
            msBackColor = BackColor;
            mbBold = Bold;
            mbInactive = false;
        }

        public string DisplayText { get { return msDisplay; } set { msDisplay = value; } }
        public string ID {  get { return msID; } set { msID = value; } }
        public string TextColour { get { return msTextColor; } set { msTextColor = value; } }
        public string BackColour { get { return msBackColor; } set { msBackColor = value; } }
        public bool Bold { get { return mbBold; } set { mbBold = value; } }
        public bool Inactive { get { return mbInactive; } set { mbInactive = value; } }

        public override string ToString()
        {
            string sDisp = msDisplay.ToString();

            sDisp = "<span style='color:" + msTextColor + "; background-color:" + msBackColor + ";" + (mbBold ? "font-weight:bold;" : "" ) + "'>" + sDisp + "</span>";

            return sDisp.ToString();
        }

    }
}